{ config, pkgs, ... }:

{
  imports = [
    ./nginx.nix
  ];

  age.secrets = {
    env = {
      file = ../../secrets/vaultwarden/env.age;
    };
  };

  services.vaultwarden = {
    enable = true;
    dbBackend = "postgresql";
    environmentFile = config.age.secrets.env.path;
  };

  services.nginx.virtualHosts."vaultwarden.crans.org" = {
    locations."/" = {
      proxyPass = "http://localhost:8222";
      proxyWebsockets = true;
    };
  };
}
